import { Component } from '@angular/core';
import { TesService } from './tes.service';
import { AuthorisationService} from './authorisation.service';
import { ComputesitesService} from './computesites.service';
import {BehaviorSubject} from 'rxjs/BehaviorSubject';
import { MatSnackBar } from '@angular/material';
import {OverlayContainer} from '@angular/cdk/overlay';



@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {
  title = 'Strudelv2';
  private loggedin: Boolean = false;
  private errmsg: string='';
  public authorised: boolean;
  public statusMsg: BehaviorSubject<string>;
  private snackBarRef: any;

  // private testingAuth: boolean;

  constructor(private tesService: TesService,
              private authService: AuthorisationService,
              private computesitesService: ComputesitesService,
              public snackBar: MatSnackBar) {

   };

  ngOnInit() {
    // this.tesService.testingAuth.subscribe(testingAuth => { this.testingAuth = testingAuth; console.log('testingAuth updated'+this.testingAuth) });
    // this.testingAuth = false;
    this.statusMsg = new BehaviorSubject<any>('');
    this.tesService.setStatusMsg(this.statusMsg);
    this.computesitesService.setStatusMsg(this.statusMsg);
    this.authService.setStatusMsg(this.statusMsg);
    this.statusMsg.subscribe(msg => this.displayMessage(msg));

  }


  private displayMessage(msg) {
   if (msg === null || msg == "") {
     if (this.snackBarRef != undefined) {
       this.snackBarRef.dismiss()
     }
   } else {
     this.snackBarRef = this.snackBar.open(msg,'Dismiss');
   }
 }



  // login() {
  //   console.log("login");
  //   this.authService.login()
  // }
  //
  // logout() {
  //   console.log("logout");
  //   this.tesService.logout();
  // }
}
